//! # Post API entry
//!
//! @author Pierre Hubert
use serde::Serialize;

use crate::data::post::Post;

#[derive(Serialize)]
#[allow(non_snake_case)]
pub struct PostAPI {
    ID: u64,
}

impl PostAPI {
    /// Turn a `Post` entry into an API entry
    pub fn new(p: &Post) -> PostAPI {
        PostAPI {
            ID: p.id
        }
    }

    /// Turn a list of posts into an API entry
    pub fn for_list(l: &Vec<Post>) -> Vec<PostAPI> {
        l.iter().map(Self::new).collect()
    }
}